library ieee;
use ieee.std_logic_1164.all;


entity tbalu is
end tbalu;

architecture tbbalu of tbalu is

component alu is
	port( clk,en: in std_logic;
	A,B: in std_logic_vector(15 downto 0);
	op: in std_logic_vector( 1 downto 0);
	R: out std_logic_vector(15 downto 0);
	ready: out std_logic );
end component;

signal clk,en, ready: std_logic;
signal A,B,R: std_logic_vector(15 downto 0);
signal op: std_logic_vector(1 downto 0);

begin
	
	du: alu port map (clk,en,A,B,op,R,ready);
	
	process
	begin
		clk<='0';
		wait for 5 ns;
		clk<='1';
		wait for 5 ns;
   end process;
   en<= '0' after 0 ns, '1' after 11 ns, '0' after 51 ns,
   						'1' after 71 ns, '0' after 111 ns,
   						'1' after 131 ns, '0' after 181 ns;
   
   A <= "0000000000000100" after 20 ns, 
   		"0000000000010101" after 80 ns,
   		"0000000000001100" after 140 ns; 
		   
   B <= "0000000000001010" after 20 ns, 
   		"0000000000000011" after 80 ns,
   		"0000000000000110" after 140 ns;
  
   op <=  "00" after 20 ns,
   		  "01" after 80 ns,
          "11" after 140ns;
end tbbalu;

